function $AdfActionEvent$$($source$$19$$) {
  this.Init($source$$19$$);
}
$goog$exportSymbol$$("AdfActionEvent", $AdfActionEvent$$);
$AdfObject$$.$createSubclass$($AdfActionEvent$$, $AdfComponentEvent$$);
$AdfActionEvent$$.$ACTION_EVENT_TYPE$ = "action";
$goog$exportSymbol$$("AdfActionEvent.ACTION_EVENT_TYPE", $AdfActionEvent$$.$ACTION_EVENT_TYPE$);
$AdfActionEvent$$.prototype.Init = function $$AdfActionEvent$$$$Init$($source$$20$$) {
  $AdfAssert$$.$assertPrototype$($source$$20$$, $AdfUIComponent$$);
  $AdfActionEvent$$.$superclass$.Init.call(this, $source$$20$$, $AdfActionEvent$$.$ACTION_EVENT_TYPE$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfActionEvent.prototype.Init", {Init:$AdfActionEvent$$.prototype.Init});
$AdfActionEvent$$.prototype.$propagatesToServer$ = function $$AdfActionEvent$$$$$propagatesToServer$$() {
  return !0;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfActionEvent.prototype.propagatesToServer", {$propagatesToServer$:$AdfActionEvent$$.prototype.$propagatesToServer$});
$AdfActionEvent$$.prototype.$isValidationNeeded$ = function $$AdfActionEvent$$$$$isValidationNeeded$$() {
  return !0;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfActionEvent.prototype.isValidationNeeded", {$isValidationNeeded$:$AdfActionEvent$$.prototype.$isValidationNeeded$});
$AdfActionEvent$$.prototype.$isImmediate$ = function $$AdfActionEvent$$$$$isImmediate$$() {
  return this.$_immediateForced$ || this.getSource().getImmediate();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfActionEvent.prototype.isImmediate", {$isImmediate$:$AdfActionEvent$$.prototype.$isImmediate$});
$AdfActionEvent$$.prototype.$forceImmediate$ = function $$AdfActionEvent$$$$$forceImmediate$$() {
  this.$_immediateForced$ = !0;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfActionEvent.prototype.forceImmediate", {$forceImmediate$:$AdfActionEvent$$.prototype.$forceImmediate$});
$AdfActionEvent$$.$queue$ = function $$AdfActionEvent$$$$queue$$($component$$76$$, $partial$$1$$) {
  (new $AdfActionEvent$$($component$$76$$)).$queue$($partial$$1$$);
};
$goog$exportSymbol$$("AdfActionEvent.queue", $AdfActionEvent$$.$queue$);
